#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>

void print_lstat(const char* path);

int main(int argc, char** argv)
{
    int i;
    for(i = 1; i < argc; i++)
	print_lstat(argv[i]);
    return 0;
}


void print_lstat(const char* path)
{
    struct stat sbuf;

    if(lstat(path, &sbuf) < 0)
    {
	perror(path);
	return;
    }

    printf("dev\t%lu\n", sbuf.st_dev);
    printf("ino\t%lu\n", sbuf.st_ino);
    printf("mode\t%lu\n", sbuf.st_mode);
    printf("nlink\t%lu\n", sbuf.st_nlink);
    printf("uid\t%lu\n", sbuf.st_uid);
    printf("gid\t%lu\n", sbuf.st_gid);
    printf("rdev\t%lu\n", sbuf.st_rdev);
    printf("size\t%lu\n", sbuf.st_size);
    printf("atime\t%lu\n", sbuf.st_atime);
    printf("mtime\t%lu\n", sbuf.st_mtime);
    printf("ctime\t%lu\n", sbuf.st_ctime);
    printf("blksize\t%lu\n", sbuf.st_blksize);
    printf("blocks\t%lu\n", sbuf.st_blocks);
#ifndef linux
    printf("flags\t%lu\n", sbuf.st_flags);
    printf("gen\t%lu\n", sbuf.st_gen);
#endif
}
